Bug 143789 - Can't bootstrap another gcc
Can't bootstrap another gcc
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-27 22:49 EST by Dean Kolosiek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-28 04:27:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
terminal session of configure and make bootstrap (298.86 KB, text/plain)
2004-12-27 22:53 EST, Dean Kolosiek
no flags Details

  None (edit)
Description Dean Kolosiek 2004-12-27 22:49:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040510

Description of problem:
I've tried building several versions of gcc, including
gcc-3.3.3-20040413 from the FC2 source CD, but they all quit with a
message like

/usr/local/x86_64-unknown-linux-gnu/bin/ld: crti.o: No such file: No
such file or directory

I don't see the build attempting to make crti.o.

I suspect this is peculiar to FC2 and/or x86_64.

I upgraded to binutils-2.15.90.0.3-5 to fix another problem but I
don't see how it would be causing this problem.

I will attach the output of configure and make bootstrap terminal session.

Version-Release number of selected component (if applicable):
gcc version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)

How reproducible:
Always

Steps to Reproduce:
place gcc source in gcc-3.3.3-20040413
cd gcc-3.3.3-20040413-obj
../gcc-3.3.3-20040413/configure
make bootstrap

Actual Results:  build teminates with a link error

Expected Results:  build should finish

Additional info:
Comment 1 Dean Kolosiek 2004-12-27 22:53:14 EST
Created attachment 109145 [details]
terminal session of configure and make bootstrap
Comment 2 Jakub Jelinek 2004-12-28 04:27:14 EST
You don't have glibc-devel-*.i386.rpm installed, just glibc-devel-*.x86_64.rpm.
You need both if you want to build 32-bit programs or built multi-libbed gcc.

Note You need to log in before you can comment on or make changes to this bug.